apiVersion: v1
kind: Service
metadata:
  name: {{ include "collaborate-dapp.fullname" . }}-ipfs-api
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "collaborate-dapp.labels" . | nindent 4 }}
    app.kubernetes.io/component: ipfs
spec:
  type: {{ .Values.ipfs.service.api.type }}
  ports:
    - port: {{ .Values.ipfs.service.api.port }}
      targetPort: 5001
      protocol: TCP
      name: api
  {{- if .Values.ipfs.service.api.ipAddress }}
  loadBalancerIP: {{ .Values.ipfs.service.api.ipAddress | quote }}
  {{- end }}
  selector:
    {{- include "collaborate-dapp.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: ipfs
